Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::DoublePole_5_0_0 Struct Reference

for OCP More...

`import"Pole.idl";`

## Public Attributes
string | label
| Pole label
PowerLine_2_0_0 | line
| Power line.
int | inNodeId
| Upstream (inlet-side) circuit node id.
int | outNodeId
| Downstream (outlet-side) circuit node id.
sensors::NumericSensor_4_0_3 | voltage
| RMS voltage sensor, L-L.
sensors::NumericSensor_4_0_3 | voltageLN
| RMS voltage sensor, L-N.
sensors::NumericSensor_4_0_3 | current
| RMS current sensor.
sensors::NumericSensor_4_0_3 | peakCurrent
| Peak current sensor.
sensors::NumericSensor_4_0_3 | activePower
| Active power sensor.
sensors::NumericSensor_4_0_3 | apparentPower
| Apparent power sensor.
sensors::NumericSensor_4_0_3 | powerFactor
| Power factor sensor.
sensors::NumericSensor_4_0_3 | activeEnergy
| Active energy sensor.
sensors::NumericSensor_4_0_3 | apparentEnergy
| Apparent energy sensor.

## Detailed Description

for OCP

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Pole.idl